#! /bin/bash
# add samples to the desktop and templates to users' home
# first source the locale names for dirs from xdg config
xdg_cfg=${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
oj_flag=~/.ojuba-samples-configured
test -f $xdg_cfg && source $xdg_cfg || touch $xdg_cfg
# fallback dirs
XDG_TEMPLATES_DIR="${XDG_TEMPLATES_DIR:-$HOME/Templates}"
XDG_DESKTOP_DIR="${XDG_DESKTOP_DIR:-$HOME/Desktop}"
XDG_DOCUMENTS_DIR="${XDG_DOCUMENTS_DIR:-$HOME/Documents}"
# if xdg_cfg has changed then act
#t1=$(stat -c '%Y' $oj_flag || echo 0)
#t2=$(stat -c '%Y' $xdg_cfg)
if [ ! -e $oj_flag -o $xdg_cfg -nt $oj_flag ]
then
flag=0
test -d "$XDG_DESKTOP_DIR" -a -d "$XDG_TEMPLATES_DIR" -a -d "$XDG_DOCUMENTS_DIR" && flag=1

test -d "$XDG_DESKTOP_DIR" -a ! -L "${XDG_DESKTOP_DIR}/عيّنات" \
  && ln -sf /usr/share/samples "${XDG_DESKTOP_DIR}/عيّنات" || :

test -d "$XDG_TEMPLATES_DIR" -a ! -L "${XDG_TEMPLATES_DIR}/قوالب أعجوبة" \
  && ln -sf /usr/share/ojuba-templates "${XDG_TEMPLATES_DIR}/قوالب أعجوبة" || :

test -d "$XDG_DOCUMENTS_DIR" -a ! -L "${XDG_DOCUMENTS_DIR}/وثائق أعجوبة" \
  && ln -sf /usr/share/ojuba-documents "${XDG_DOCUMENTS_DIR}/وثائق أعجوبة" || :
#find /usr/share/ojuba-documents -exec ln -t "${XDG_DOCUMENTS_DIR}" -s '{}' ';' || true

[ $flag ] && touch $oj_flag $xdg_cfg || :

fi

